APIs / X (Twitter) / Search Typeahead
X (Twitter): Search Typeahead
Search Typeahead from X (Twitter) as JSON. 1 credit per successful call.
GET /v1/x/search-typeaheadNeeds terms
Note
This endpoint needs the restricted-endpoint terms, which you can accept in your dashboard.
Parameters
Send parameters in the query string.
| Parameter | Type | Required | Allowed values |
|---|---|---|---|
q | string | Required | Up to 512 characters |
result_type | string | Optional | Up to 50 characters |
Example request
curl "https://api.perceptlayer.com/v1/x/search-typeahead" \
-H "X-API-Key: $API_KEY"Run this endpoint in the playground with your own parameters. 1 credit per successful call; failed calls are free.